# Uses of Class
org.springframework.beans.factory.config.TypedStringValue

Packages that use TypedStringValue
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of TypedStringValue in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config with parameters of type TypedStringValue
Modifier and Type
Method
Description
`int`
TypedStringValue.`compareTo(TypedStringValue o)`

## Uses of TypedStringValue in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support with parameters of type TypedStringValue
Modifier and Type
Method
Description
`protected Object`
BeanDefinitionValueResolver.`evaluate(TypedStringValue value)`
Evaluate the given value as an expression, if necessary.
`protected Class<?>`
BeanDefinitionValueResolver.`resolveTargetType(TypedStringValue value)`
Resolve the target type in the given TypedStringValue.

## Uses of TypedStringValue in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return TypedStringValue
Modifier and Type
Method
Description
`protected TypedStringValue`
BeanDefinitionParserDelegate.`buildTypedStringValue(String value, String targetTypeName)`
Build a typed String value Object for the given raw value.